petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogDefaultBegin

Turns on logging of objects and events. This logs flop rates and object creation and should not slow programs down too much. This routine may be called more than once.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogDefaultBegin(void)

Logically Collective over PETSC_COMM_WORLD Many br

### Options Database Keys

-log_view [viewertype:filename:viewerformat] -Prints summary of flop and timing information to the Many brscreen (for code configured with --with-log=1 (which is the default)) Many br

### Usage

          PetscInitialize(...);
          PetscLogDefaultBegin();
           ... code ...
          PetscLogView(viewer); or PetscLogDump();
          PetscFinalize();

Many br

### Notes

PetscLogView(viewer) or PetscLogDump() actually cause the printing of Many brthe logging information. Many br

Many br

### Keywords

log, begin

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogView(), PetscLogTraceBegin()

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages